######################################################################
# Code for generating Figure 3.
#
# Plots for building a forest of trees whilst varying the number of
# trees.
######################################################################

# Load utils

suppressPackageStartupMessages(source("../myutil.R"))
suppressPackageStartupMessages(source("../load.R"))

# r holds all the results.
r <- experiSummary("../../../experiment-results/")
r <- subset(r, r$ds != "weather")

prefix <- c(paste0("^", "wsrf", "_"),
            paste0("^", "wsrf", "_"),
            paste0("^", "randomForest", "_"),
            paste0("^", "wsrf", "_nw_sqrt_"),
            paste0("^", "wsrf", "_seq_nw_sqrt_"),
            paste0("^", "bigrfc", "_"))
postfix <- c("t$",
             "c$",
             "$",
             "t$",
             "t$",
             "$")
label <- c("wsrf_t",
           "wsrf_c",
           "rf",
           "wsrf_nw",
           "wsrf_seq_nw",
           "bigrf")
varname <- "ntrees"
measures <- c("acc", "elap")
ylimts <- list(acc=NA, elap=NA)
r$ds <- factor(r$ds, levels=ds.order, ordered=TRUE)
suppressWarnings(pls <- myutil$compareCharts(r,
                                             prefix,
                                             postfix,
                                             label,
                                             varname,
                                             measures,
                                             ylimts))

grid.arrange(pls[[1]], pls[[2]], ncol=1)
