######################################################################
# Code for generating Figure 4.
#
# Plots for building a forest of trees whilst varying the number of
# variables.
######################################################################

# Load utils
source("../myutil.R")
source("../load.R")

# r holds all the results.
r <- experiSummary("../../../experiment-results/")
r <- subset(r, r$ds != "weather")

prefix <- c(paste0("^", "wsrf", "_100tv"),
            paste0("^", "wsrf", "_100cv"),
            paste0("^", "randomForest", "_100v"),
            paste0("^", "wsrf", "_nw_100tv"),
            paste0("^", "wsrf", "_seq_nw_100tv"),
            paste0("^", "bigrfc", "_100v"))
postfix <- rep("$", 6)
label <- c("wsrf_t",
           "wsrf_c",
           "rf",
           "wsrf_nw",
           "wsrf_seq_nw",
           "bigrf"
           )
varname <- "nvars"
measures <- c("acc", "elap")
ylimts <- list(acc=NA, elap=NA)
r$ds <- factor(r$ds, levels=ds.order, ordered=TRUE)
suppressWarnings(pls <- myutil$compareCharts(r,
                                             prefix,
                                             postfix,
                                             label,
                                             varname,
                                             measures,
                                             ylimts))

grid.arrange(pls[[1]], pls[[2]], ncol=1)
